Get field values on a single List Entry
curl --request GET \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Healthcare",
"Fintech",
"SaaS"
],
"totalCount": 3
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Alex Rivera",
"Taylor Wong"
],
"totalCount": 2
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/horizontech"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Lists
Get field values on a single List Entry
Paginate through all field values on a single list entry.
All fields will be included by default. The ids and types parameters can be used to filter the collection.
GET
/
v2
/
lists
/
{listId}
/
list-entries
/
{listEntryId}
/
fields
Get field values on a single List Entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
List ID
Required range:
1 <= x <= 9007199254740991List Entry ID
Required range:
1 <= x <= 9007199254740991Query Parameters
Field IDs for which to return field data
Example:
["field-1"]
Field Types for which to return field data
Available options:
enriched, global, list, relationship-intelligence Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
20
Was this page helpful?
⌘I